## javacc 7.0.13

=== examples/JavaGrammars/cpp/Makefile ===
all: javaparser wjavaparser

javaparser: main.cc gen/*.cc
	$(CXX) $(CXXFLAGS) -std=c++11 -Wall -fpermissive -o javaparser -I. main.cc gen/*.cc

wjavaparser: main.cc gen/*.cc
	$(CXX) $(CXXFLAGS) -std=c++11 -Wall -fpermissive -DWIDE_CHAR=1 -DJAVACC_CHAR_TYPE=wchar_t -o wjavaparser -I. main.cc gen/*.cc

gen/Java1.1.jj: Java1.1.jjt ../../../target/javacc.jar
	java -cp ../../../target/javacc.jar jjtree $(JAVACC_OPTS) $<

gen/*.cc: gen/Java1.1.jj ../../../target/javacc.jar
	java -cp ../../../target/javacc.jar javacc $(JAVACC_OPTS) $<

clean:
	/bin/rm -rf gen javaparser.* wjavaparser.*

## javacc 5.0

=== debian/changelog ===
javacc (5.0-5) unstable; urgency=low

  * Fixed a regression causing the encountered/expected token list to be empty
    (see https://java.net/jira/browse/JAVACC-244)
  * Fixed the watch file
  * Enabled the unit tests
  * debian/control:
    - Removed Michael Koch from the Uploaders list (Closes: #654030)
    - Updated Standards-Version to 3.9.4
    - Use canonical URLs for the Vcs-* fields
    - Replaced the dependency of the documentation package on classpath-doc
      with default-jre-doc
  * Switched to quilt for managing the patches
  * Added the missing patch descriptions
  * debian/rules: Added a clean target to allow rebuilds
  * debian/orig-tar.sh: Install the tarball in the parent directory
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 06 Jun 2013 16:30:34 +0200

javacc (5.0-4) unstable; urgency=low

  [ Torsten Werner ]
  * Remove Paul from Uploaders list.

  [ David Paleino ]
  * debian/maven.rules added, fixes dependency on junit in the POM file

 -- Torsten Werner <twerner@debian.org>  Sat, 01 May 2010 00:48:42 +0200

javacc (5.0-3) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Install pom.xml with maven-repo-helper. (Closes: #576323)
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sat, 01 May 2010 00:35:37 +0200

javacc (5.0-2) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/control
    - Change -runtime dependencies to -runtime-headless.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Fri, 18 Dec 2009 10:53:19 +0530

javacc (5.0-1) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk (Closes: #526280).

  [ Michael Koch ]
  * New upstream release. (Closes: #506465).
  * Make all packages Depends on ${misc:Depends}.
  * In descriptions replace 'Compiler Compiler' with
    'Compiler-Compiler' to not confuse spellchecker.
  * Moved package to section 'java'.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 24 Sep 2009 21:23:57 +0200

javacc (4.0+cvs20080403-1) unstable; urgency=low

  [ Paul Cager ]
  * New snapshot of upstream code (CVS as at 2008-04-03).
  * Marked compatible with standards version 3.7.3.
  * Added watch file.
  * Converted to use CDBS (pkg-java standard).
  * Corrected format of debian/copyright.
    (fixes lintian copyright-without-copyright-notice).

  [ Michael Koch ]
  * Removed Nicolas Sabouret from Uploaders. Closes: #464327.
  * Made URL in Homepage field a valid URL.

 -- Paul Cager <paul-debian@home.paulcager.org>  Thu, 03 Apr 2008 23:59:04 +0100

javacc (4.0+cvs20070207-3) unstable; urgency=low

  * Missing build-depends on junit.
    (Closes: #424481)

 -- Paul Cager <paul-debian@home.paulcager.org>  Wed, 16 May 2007 09:48:03 +0100

javacc (4.0+cvs20070207-2) unstable; urgency=low

  * Migrate experimental version to unstable.

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 15 Apr 2007 19:55:43 +0100

javacc (4.0+cvs20070207-1) experimental; urgency=low

  * New upstream release
  * Now true BSD license (Closes: #276302)
  * Added myself to co-maintainers
  * Upgraded to standards version 3.7.2
  * Bumped debhelper to version 5
  * Uses java-gcj compiler, rather than kaffe
  * Moved ant from build-depends-indep to build-depends as
    required by java-policy (and lintian)
  * Created watch file
  * Split into separate "-doc" binary package
  * Added a doc-base
  * Converted diff.gz patches into dpatch format

 -- Paul Cager <paul-debian@home.paulcager.org>  Wed,  7 Feb 2007 11:34:45 +0000

javacc (3.2+0-3) unstable; urgency=low

  * ant transition (closes: #331648).
  * changed the dependency to kaffe | java-runtime | java1-runtime |
    java2-runtime, this way, any virtual machine can be used to run
    javacc. I did not change the build-dependency because it's not needed
    (closes: #325579).
  * Thanks to Arnaud Vandyck <avdyk@debian.org> for the patch

 -- Nicolas Sabouret <nico@debian.org>  Thu, 13 Oct 2005 14:24:47 +0200

javacc (3.2+0-2) unstable; urgency=low

  * Build-depends on libant1.6-java (closes: #300935)

 -- Nicolas Sabouret <nico@debian.org>  Sat, 14 May 2005 22:32:25 +0200

javacc (3.2+0-1) unstable; urgency=low

  * Build-depends on docbook-to-man 
  * Moved to main (closes: #225484)
    See README.Debian for more information
    Thanks to Josh Triplett for his patch

 -- Nicolas Sabouret <nico@debian.org>  Wed, 26 Nov 2003 10:02:22 +0100

javacc (3.2-1) unstable; urgency=low

  * New upstream release
  * Section: contrib/devel (closes: #202773)
  * Depends: java-virtual-machine, java1-runtime (closes: #202833)
  * Patched bin files (closes: #202834)

 -- Nicolas Sabouret <nico@debian.org>  Fri, 29 Aug 2003 11:44:40 +0200

javacc (3.1-1) unstable; urgency=low

  * Initial Release (closes: #201350)

 -- Nicolas Sabouret <nico@debian.org>  Tue, 15 Jul 2003 10:21:45 +0200

=== debian/control ===
Source: javacc
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant, debhelper (>= 7), cdbs (>= 0.4.5.3), default-jdk
Build-Depends-Indep: ant-optional, libxalan2-java, docbook-to-man, junit, maven-repo-helper
Standards-Version: 3.9.4
Homepage: http://javacc.java.net
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/javacc
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/javacc

Package: javacc
Architecture: all
Depends: default-jre-headless | java1-runtime-headless | java2-runtime-headless, ${misc:Depends}
Suggests: javacc-doc
Description: Parser generator for use with Java
 Java Compiler-Compiler (JavaCC) is (according to sun)
 "the most popular parser generator" for use with Java [tm]
 applications.
 .
 A parser generator is a tool that reads a grammar specification
 and converts it to a Java program that can recognize matches to
 the grammar. In addition to the parser generator itself, JavaCC
 provides other standard capabilities related to parser
 generation such as tree building (via a tool called JJTree
 included with JavaCC), actions, debugging, etc. 

Package: javacc-doc
Architecture: all
Section: doc
Depends: default-jdk-doc, ${misc:Depends}
Suggests: javacc
Description: Documentation for the JavaCC Parser Generator
 Documentation and examples for JavaCC parser generator.
 .
 Java Compiler-Compiler (JavaCC) is (according to sun)
 "the most popular parser generator" for use with Java [tm]
 applications.
 .
 A parser generator is a tool that reads a grammar specification
 and converts it to a Java program that can recognize matches to
 the grammar. In addition to the parser generator itself, JavaCC
 provides other standard capabilities related to parser
 generation such as tree building (via a tool called JJTree
 included with JavaCC), actions, debugging, etc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(shell dpkg-parsechangelog | egrep '^Source:' | cut -f2 -d' ')

JAVA_HOME            := /usr/lib/jvm/default-java

DEB_JARS             := $(ANT_HOME)/lib/ant-launcher.jar $(ANT_HOME)/lib/ant-trax.jar $(ANT_HOME)/lib/ant-junit.jar junit
DEB_ANT_BUILD_TARGET := jar
DEB_ANT_CLEAN_TARGET := realclean
DEB_ANT_CHECK_TARGET := unittest
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_ARGS         := -Dversion=$(DEB_UPSTREAM_VERSION)

clean::
	mh_clean
	rm -f bin/javacc.1

binary-post-install/$(PACKAGE)::
	mh_installpom -p$(PACKAGE) -e$(DEB_UPSTREAM_VERSION) pom.xml
	mh_installjar -p$(PACKAGE) -e$(DEB_UPSTREAM_VERSION) -l pom.xml \
	  bin/lib/$(PACKAGE).jar
	docbook-to-man debian/manpage.sgml >bin/javacc.1
	dh_installman bin/javacc.1
	dh_install bin/javacc bin/jjdoc bin/jjtree usr/bin
	dh_link usr/share/man/man1/javacc.1 usr/share/man/man1/jjtree.1
	dh_link usr/share/man/man1/javacc.1 usr/share/man/man1/jjdoc.1

binary-post-install/$(PACKAGE)-doc::
	dh_install -p$(PACKAGE)-doc www/doc usr/share/doc/javacc
	dh_install -p$(PACKAGE)-doc examples usr/share/doc/javacc

get-orig-source:
	uscan --force-download --rename --repack

=== debian/watch ===
version=3
opts=dversionmangle=s/\+cvs.*// \
https://java.net/projects/javacc/downloads  .*javacc-([\d\.]*)src.tar.gz debian debian/orig-tar.sh

## javacc 7.0.11

=== debian/changelog ===
javacc (7.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 May 2022 13:01:25 +0200

javacc (6.1.3-1) unstable; urgency=low

  [ Benjamin Mesing ]
  * Team upload.
  * New upstream release (Closes: #732752) 

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 May 2022 00:45:30 +0200

javacc (5.0-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.6.1
  * Switch to debhelper level 13
  * Fixed the watch file
  * Do not run the tests if the nocheck option is specified

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 May 2022 07:55:56 +0200

javacc (5.0-8) unstable; urgency=medium

  * Added the missing runtime dependency on junit
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 Sep 2017 17:13:18 +0200

javacc (5.0-7) unstable; urgency=medium

  * Build with the DH sequencer instead of CDBS
  * Regenerate the bootstrap jar
  * Track and download the new releases from GitHub
  * Refreshed debian/copyright
  * Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 18 Nov 2016 13:24:16 +0100

javacc (5.0-6) unstable; urgency=medium

  * Require Java 5 or higher at runtime
  * Moved the package to Git
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 18 Nov 2016 11:21:27 +0100

## javacc 7.0.12

=== debian/changelog ===
javacc (7.0.12-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Dec 2022 23:27:10 +0100

=== debian/control ===
Source: javacc
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 ant-optional,
 debhelper-compat (= 13),
 default-jdk,
 docbook-to-man,
 junit,
 libxalan2-java,
 maven-repo-helper
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/javacc.git
Vcs-Browser: https://salsa.debian.org/java-team/javacc
Homepage: https://javacc.org

Package: javacc
Architecture: all
Depends: default-jre-headless (>= 2:1.5) | java5-runtime-headless, junit, ${misc:Depends}
Suggests: javacc-doc
Description: Parser generator for use with Java
 Java Compiler-Compiler (JavaCC) is (according to sun)
 "the most popular parser generator" for use with Java [tm]
 applications.
 .
 A parser generator is a tool that reads a grammar specification
 and converts it to a Java program that can recognize matches to
 the grammar. In addition to the parser generator itself, JavaCC
 provides other standard capabilities related to parser
 generation such as tree building (via a tool called JJTree
 included with JavaCC), actions, debugging, etc.

Package: javacc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, default-jdk-doc
Suggests: javacc
Description: Documentation for the JavaCC Parser Generator
 Documentation and examples for JavaCC parser generator.
 .
 Java Compiler-Compiler (JavaCC) is (according to sun)
 "the most popular parser generator" for use with Java [tm]
 applications.
 .
 A parser generator is a tool that reads a grammar specification
 and converts it to a Java program that can recognize matches to
 the grammar. In addition to the parser generator itself, JavaCC
 provides other standard capabilities related to parser
 generation such as tree building (via a tool called JJTree
 included with JavaCC), actions, debugging, etc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- jar -Dversion=$(DEB_VERSION_UPSTREAM)
	mkdir -p bin
	docbook-to-man debian/manpage.sgml >bin/javacc.1

override_dh_auto_clean:
	dh_auto_build -- clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- unittest
endif

## javacc 7.0.13

=== debian/changelog ===
javacc (7.0.13-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.7.2

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Apr 2025 15:26:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  junit,
  libxalan2-java,
  maven-repo-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/javacc.git
 Vcs-Browser: https://salsa.debian.org/java-team/javacc
 Homepage: https://javacc.org

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/_/./g;s/^(\d)(\d)$/$1.$2/" \
https://github.com/javacc/javacc refs/tags/(?:release_|javacc-)?(\d[\d_.]+)
